This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 226114 - Netbeans jumps to wrong method on Strg click
Summary: Netbeans jumps to wrong method on Strg click
Status: RESOLVED WONTFIX
Alias: None
Product: java
Classification: Unclassified
Component: Editor (show other bugs)
Version: 7.3
Hardware: PC Linux
: P3 normal with 1 vote (vote)
Assignee: Dusan Balek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-14 12:39 UTC by tomzi
Modified: 2016-07-07 07:16 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomzi 2013-02-14 12:39:10 UTC
Take this source code:
    public ActionForward execute(ActionMapping mapping, ActionForm form,
        ServletRequest request, ServletResponse response)
        throws Exception {
        try {
            return execute(mapping, form, (HttpServletRequest) request,
                (HttpServletResponse) response);
        } catch (ClassCastException e) {
            return null;
        }
    }

     public ActionForward execute(ActionMapping mapping, ActionForm form,
        HttpServletRequest request, HttpServletResponse response)
        throws Exception {
        return null;
    }

If you Strg click on the first execute method it should jump to 
   execute(ActionMapping mapping, ActionForm form,
      HttpServletRequest request, HttpServletResponse response)

but it jumps to the first one.

Product Version = NetBeans IDE 7.3 RC2 (Build 201302050851)
Operating System = Linux version 3.5.0-23-generic running on amd64
Java; VM; Vendor = 1.7.0_13
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.7-b01
Comment 1 Tomas Zezula 2013-02-21 08:25:16 UTC
Works fine in dev.
Comment 2 tomzi 2013-02-27 10:44:11 UTC
.) Create new Maven/Web Application
.) In Project Propeties add Struts 1.3.10 Framwork
.) Create new Struts/Structs Action 'NewStrutsAction'
.) Click Dependencies/Download Sources
.) In the 'NewStrutsAction.java' CTRL-Click 'org.apache.struts.action.Action'
.) Goto Line 141: 
return execute(mapping, form, (HttpServletRequest) request,
                (HttpServletResponse) response);

.) CTRL-Click on the execute method

Netbeans jumps to line 137:
public ActionForward execute(ActionMapping mapping, ActionForm form,
        ServletRequest request, ServletResponse response)

where from the context of Lin 141 it should jump to Line 166:
public ActionForward execute(ActionMapping mapping, ActionForm form,
        HttpServletRequest request, HttpServletResponse response)

Isn't that right?
Comment 3 tomzi 2013-02-27 10:45:12 UTC
I tested it in the just released Netbeans 7.3, it's still not working as excpected...
Comment 4 tomzi 2013-03-14 07:23:33 UTC
Can you verify that problem?
Comment 5 Martin Balin 2016-07-07 07:16:24 UTC
This old bug may not be relevant anymore. If you can still reproduce it in 8.2 development builds please reopen this issue.

Thanks for your cooperation,
NetBeans IDE 8.2 Release Boss